EDIT - feature request #5752

Reduce TaxEditor size
05/02/2016 04:19 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.17

Severity: normal

Description

There are many places where the Editor code needs to be cleaned up in terms of real dependencies and code which links to
dependencies but is not necessary.

Most important issue is to keep only 1 instance of cdmlib-remote-webapp. Currently there is 1 instance in taxeditor.cdmlib and 1 in
taxeditor.remote-webapp.

Also important to reduce the dependencies in taxeditor.cdmlib. With using only remoting from now on, we do not need most of the
cdmlib-dependencies anymore. This will reduce the current size of libraries of 120MB tremendously.

Further tasks are to clean up all poms and Manifest.MFs (see also #5530) etc.

Idea from #967: Split the cdmlib plugin into two plugins: One for cdmlib dependencies and one for taxeditor-only dependencies

Related issues:

Related to EDIT - bug #7306: No initial default classification is created whe... New
Related to EDIT - task #9119: Remove schema create and schema update function... Closed
Related to EDIT - task #9189: Move datasource view to taxeditor.local Closed
Copied to EDIT - feature request #9154: Further reduce TaxEditor size by clea... New

Associated revisions

Revision 5fbf2e5f - 04/06/2017 07:04 PM - Patrick Plitzner

ref #5752 cleanup dependencies in taxeditor.cdmlib

Revision 3fe30969 - 04/06/2017 07:36 PM - Patrick Plitzner

ref #5752 cleanup dependencies in taxeditor.cdmlib Part 2

Revision 78204354 - 04/06/2017 07:44 PM - Patrick Plitzner

ref #5752 cleanup dependencies in taxeditor.cdmlib Part 3

Revision 11724b00 - 04/06/2017 07:50 PM - Patrick Plitzner

ref #5752 cleanup dependencies in taxeditor.cdmlib Part 4

Revision 889bde96 - 04/07/2017 01:46 AM - Patrick Plitzner

ref #5752 revert last 3 "cleanup dependencies in taxeditor.cdmlib”

Revision d4547dee - 04/07/2017 12:41 PM - Patrick Plitzner

ref #5752 wrap specific exception to avoid dependency on lucene library

Revision 353af88b - 04/07/2017 01:47 PM - Patrick Plitzner

ref #5752 Fix dependencies for integration tests

Revision 9035b51e - 04/07/2017 03:18 PM - Patrick Plitzner

ref #5752 Remove jars from lib folder

Revision 3ca8a283 - 04/07/2017 03:39 PM - Patrick Plitzner
ref #5752 wrap lucene exception for name and occurrence service

Revision da12936b - 04/07/2017 05:51 PM - Patrick Plitzner

ref #5752 Adapt implementations to new wrapper for lucene exceptions

Revision 392d2a8d - 04/19/2017 11:56 AM - Patrick Plitzner

ref #5752 Thin out feature.platform dependencies

® also gets rid of "Run" menu

Revision 7¢961a96 - 04/26/2017 10:02 AM - Patrick Plitzner
ref #5752 Add missing dependency

Revision d4e83e37 - 04/26/2017 05:42 PM - Patrick Plitzner

ref #5752 Re-add dependencies needed for creating a new data model

Revision 1fd65fb3 - 07/01/2020 11:00 PM - Andreas Miiller

remove xstream and dependencies xpp3(_min) and xmlpull from taxeditor.cdmlib plugin

Revision 439eb660 - 07/02/2020 09:00 AM - Andreas Miiller

remove mysql-connector-java from taxeditor-cdmlib

Revision 5cd207e3 - 07/02/2020 09:21 AM - Andreas Miiller

update mysql-connector to 8.0.20 in taxeditor-webapp

Revision 93381d65 - 07/02/2020 11:36 AM - Andreas Miiller

ref #5752 remove cdmlib-remote-webapp.war from taxeditor.cdmlib

Revision 096d7d2f - 07/02/2020 12:01 PM - Andreas Miiller

ref #5752 remove cdmlib-remote-webapp.war from taxeditor.cdmlib (cont.)

Revision ae1769f4 - 07/02/2020 12:45 PM - Andreas Miiller

ref #5752 remove cdmlib-remote-webapp.war from taxeditor.cdmlib (cont.)

Revision c38b8384 - 07/02/2020 01:20 PM - Andreas Miiller
ref #5752 remove easymock-2.3, easymockclassextension-2.3, h2-1.4.190, h2mig_pagestore_addon, hsqldb-2.3.3, junit-benchmarks-0.7.2,
ognl-2.6.9, yip-controller-api-redist from taxeditor.cdmlib

Revision e2f6663b - 07/02/2020 01:40 PM - Andreas Miiller
ref #5752 add h2-1.4.200 to taxeditor.test

Revision 77314319 - 07/02/2020 03:15 PM - Andreas Miiller

ref #5752 use taxeditor.webapp cdmlib-remote-webapp.war for taxeditor tests

Revision 6fa33238 - 07/02/2020 11:29 PM - Andreas Miiller

ref #5752 remove javax.servlet-api and spring-webmvc

Revision e7ffaed2 - 07/02/2020 11:36 PM - Andreas Miiller

ref #5752 remove spring-modules-cache and dependeny concurrent-1.3.4

Revision ab49c2fa - 07/02/2020 11:45 PM - Andreas Miiller

ref #5752 remove spring-security-web

Revision bd41d7a4 - 07/02/2020 11:55 PM - Andreas Miiller

ref #5752 remove spring-security-oauth2 including jackson-mapper-asl and jackson-core-asl

Revision b31e1c21 - 07/03/2020 12:04 AM - Andreas Muller
ref #5752 remove dozer-5.3.0

Revision 7536e2e2 - 07/03/2020 12:05 AM - Andreas Miiller
ref #5752 remove hibernate-cglib-repack-2.1_3, hibernate-ehcache-5.0.7.Final

Revision e5a23c6b - 07/03/2020 12:29 AM - Andreas Miuller

ref #5752 remove xom and springfox-swagger-common-2.3.1 and springfox-swagger2-2.3.1

Revision ea24519c - 08/13/2020 04:23 PM - Andreas Miiller
ref #5752 reattache H2 to TaxEditor dependencies

History

#1 - 05/24/2016 02:28 PM - Andreas Miiller
- Assignee changed from p.plitzner - to Andreas Mdiller
- Target version changed from Unassigned CDM tickets to Release 4.1

- Priority changed from New to Highest

#2 - 06/01/2016 01:23 PM - Andreas Miuller

- Target version changed from Release 4.1 to Release 4.2

#3 - 07/06/2016 03:23 PM - Andreas Miuller

- Target version changed from Release 4.2 to Release 4.3

#4 - 09/26/2016 09:56 AM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#5 - 12/01/2016 02:42 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#6 - 01/19/2017 01:32 PM - Andreas Miuller

- Target version changed from Release 4.5 to Release 4.6

#7 - 04/06/2017 03:52 PM - Patrick Plitzner

- Description updated

- Status changed from New to In Progress

- Assignee changed from Andreas Miiller to Patrick Plitzner

- Target version changed from Release 4.6 to Release 4.7

#8 - 04/26/2017 05:45 PM - Patrick Plitzner

With the commit taxeditor|d4e83e37febf32601f065390770060398ec63a80. | re-added the dependencies needed for creating a fresh, new data model
for an empty data source.
These dependencies can be removed when we moved this functionality completely to the server side

#9 - 05/04/2017 02:17 PM - Andreas Miiller
- Target version changed from Release 4.7 to Release 4.8

- Private changed from Yes to No

#10 - 07/06/2017 10:30 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#11 - 07/21/2017 10:13 AM - Andreas Miuiller

- Target version changed from Release 4.9 to Release 4.10

#12 - 09/24/2017 04:58 PM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.12
#13 - 12/05/2017 02:06 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#14 - 01/31/2018 01:10 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#15 - 02/16/2018 11:59 AM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#16 - 02/21/2018 12:28 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#17 - 03/09/2018 02:44 PM - Patrick Plitzner

- Related to bug #7306: No initial default classification is created when creating a new data source added

#18 - 06/27/2018 02:20 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#19 - 08/17/2018 03:48 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#21 - 09/03/2018 11:18 AM - Patrick Plitzner
- Description updated

#22 - 09/06/2018 11:16 AM - Patrick Plitzner

- Target version changed from Release 5.3 to Release 5.4

#23 - 10/19/2018 03:05 PM - Patrick Plitzner

- Target version changed from Release 5.4 to Release 5.5

#24 - 10/23/2018 10:36 AM - Patrick Plitzner

- Target version changed from Release 5.5 to Release 5.6

#25 - 02/19/2019 03:41 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#26 - 11/18/2019 03:15 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Katja Luther

#27 - 07/02/2020 10:47 AM - Andreas Muller

- Related to task #9119: Remove schema create and schema update functionality from datsource view added

#28 - 07/15/2020 03:41 PM - Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.18

cdmlib-remote-webapp is now removed from taxeditor.cdmlib which reduces the size of TaxEditor about 115 MB

#29 - 07/15/2020 03:46 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Many improvements have been done in this ticket. For further improvements a follow up ticket exists: #9154

Open issue is still to reattache H2 and PostGreSQL drivers as they are needed for database view edit dialog for testing the connection or find a better
solution for testing. Datasource view could be moved to taxeditor.webapp as it is only relevant together with it.

#30 - 07/15/2020 03:46 PM - Andreas Miiller
- Subject changed from Clean up Editor dependencies to Reduce TaxEditor size

#31 - 07/15/2020 04:12 PM - Andreas Miiller
- Copied to bug #9145: Add sources to E+M IPNI distribution data added

#32 - 07/15/2020 04:13 PM - Andreas Miiller
- % Done changed from 0 to 80

#33 - 07/15/2020 04:13 PM - Andreas Miiller

- Copied to feature request #9154: Further reduce TaxEditor size by cleaning up dependencies and making taxeditor.webapp plugin optional added

#34 - 07/15/2020 04:13 PM - Andreas Miiller
- Copied to deleted (bug #9145: Add sources to E+M IPNI distribution data)

#35 - 08/13/2020 03:34 PM - Andreas Miiller

- Description updated

#36 - 08/13/2020 04:29 PM - Andreas Miiller

- Related to task #9189: Move datasource view to taxeditor.local added

#37 - 08/13/2020 04:59 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

Can you please review if you think all up-to-now changes (removing of dependencies etc) are ok. | think you do not need to review Patricks changes
from 3 years ago as they are in production mode for long time, now.

There is a follow-up ticket for further size reductions.
#38 - 08/17/2020 08:47 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 80 to 100

| checked all removed dependencies and they are not used anyhwere and | did not get any problems while working with the editor, so | close this
tickeet.

#39 - 08/17/2020 09:14 AM - Andreas Kohlbecker
- Status changed from Closed to Feedback

Can you please add a summary to the ticked description on the amount of the size reduction?
This could be valuable for later.

#40 - 08/17/2020 02:40 PM - Andreas Miiller
- Status changed from Feedback to Closed

The size reduction was about 120MB. Most of it (110MB) related to the removed remote-webapp.war file in taxeditor.cdmlib. The remaining related to
some dependencies that removed in taxeditor.cdmlib.

#41 - 08/19/2020 08:41 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17
